Bug 682377 - makes assumptions about network device names
makes assumptions about network device names
Product: Fedora
Classification: Fedora
Component: powertop (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
Depends On:
Blocks: 682334
  Show dependency treegraph
Reported: 2011-03-04 20:46 EST by Bill Nottingham
Modified: 2014-03-16 23:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 682378 (view as bug list)
Last Closed: 2011-03-11 17:11:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2011-03-04 20:46:13 EST
Description of problem:

Network devices can have arbitrary names, and due to
http://fedoraproject.org/wiki/Features/ConsistentNetworkDeviceNaming, will have
different names in Fedora 15.


The wake-on-lan tests and the wake-on-lan disable both hardcode 'eth0'.

powertop-1.13/powertop.c:static void do_proc_irq(void)
                /* deal with multi-queue NICs */
                if (strncmp(name, "eth",3) == 0 && strchr(name,' ') == NULL) {
                        c = strchr(name, '-');
                        if (c)
                                *c = 0;

This implies this will mishandle any devices *not* named ethX, if they have multiple queues.

Version-Release number of selected component (if applicable):


How reproducible:

By visual inspection.
Comment 1 Jaroslav Škarvada 2011-03-11 17:11:44 EST
It doesn't seem to affect the powertop-2.x (1.97+).

Note You need to log in before you can comment on or make changes to this bug.